--[[
Author: Ayantir
Filename: VDM.lua
Version: 2
]]--

vdm = vdm or {}

local function VDM()

	local quoteSelected = math.random(1, #vdm)
	
	ZO_MailSendSubjectField:SetText("VDM")
	ZO_MailSendBodyField:SetText(vdm[quoteSelected] .. "\r\n\r\nMail à me renvoyer stp :)")

end

local function IsSentMailSceneDisplayed()

	if SCENE_MANAGER and SCENE_MANAGER:GetCurrentScene() then
		local scene = SCENE_MANAGER:GetCurrentScene():GetName()
		if scene == "mailSend" then
			return true
		end
	end
	
	return false

end

local function onAddonLoaded(_, addOnName)
	
	if(addOnName ~= "VDM") then return end
	
	ZO_CreateStringId("VDM_KEYBIND_NAME", "VDM")
	
	local descriptor = {
		alignment = KEYBIND_STRIP_ALIGN_CENTER,
		{
			name = GetString(VDM_KEYBIND_NAME),
			keybind = "UI_SHORTCUT_TERTIARY",
			control = self,
			callback = function(descriptor) VDM() end, 
			visible = function(descriptor) return IsSentMailSceneDisplayed() end, 
		},
	}
	
	MAIL_SEND_SCENE:RegisterCallback("StateChange", function(oldState, newState)
		if(newState == SCENE_SHOWING) then
			KEYBIND_STRIP:AddKeybindButtonGroup(descriptor)
		elseif(newState == SCENE_HIDDEN) then
			KEYBIND_STRIP:RemoveKeybindButtonGroup(descriptor)
		end
	end)
	
end

EVENT_MANAGER:RegisterForEvent("VDM", EVENT_ADD_ON_LOADED, onAddonLoaded)